Bug 166946 - Microphone output routed to speakers on SB Live
Microphone output routed to speakers on SB Live
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-28 12:37 EDT by Jim Nelson
Modified: 2010-12-06 13:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Nelson 2005-08-28 12:37:10 EDT
Description of problem:

After hooking up a microphone to my SoundBlaster Live to do some basic audio
recording, I found that I could not record from any program.  After unmuting the
microphone through the GNOME Audio Control application, I got a feedback squeal.

That went away when I plugged headphones in.

It looks like the microphone is routed directly to the speakers, but I cannot
find any way to fix it.

Version-Release number of selected component (if applicable):

gstreamer-0.8.10-1

How reproducible:

Always

Steps to Reproduce:
1.Connect the microphone to the sound card
2.Unmute the microphone in the Volume Control
3.Raise the input volume
  
Actual results:

I got the sounds coming in to the microphone coming out of the speaker, and I
could not record anything on the Microphone.

Expected results:

I should have been able to record off of the microphone, and not hear it over
the speakers unless I chose to have it play through.

Additional info:
Relevant parts of my system config:

[root@david ~]# /sbin/lspci -v

<snip>


02:0c.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
        Subsystem: Creative Labs: Unknown device 8032
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at df80 [size=32]
        Capabilities: [dc] Power Management version 1

02:0c.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 32
        I/O ports at dff0 [size=8]
        Capabilities: [dc] Power Management version 1

<snip>


[root@david ~]# dmesg

Linux version 2.6.11-1.1369_FC4 (bhcompile@decompose.build.redhat.com) (gcc
version 4.0.0 20050525 (Red Hat 4.0.0-9)) #1 Thu Jun 2 22:55:56 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003ffc0000 (usable)
 BIOS-e820: 000000003ffc0000 - 000000003fff8000 (ACPI data)
 BIOS-e820: 000000003fff8000 - 0000000040000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffb80000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
127MB HIGHMEM available.
896MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 262080
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32704 pages, LIFO batch:15
DMI 2.3 present.
ACPI: RSDP (v000 AMI                                   ) @ 0x000ff980
ACPI: RSDT (v001 GATEWA N0CPP116 0x20020107 MSFT 0x00001011) @ 0x3fff0000
ACPI: FADT (v001 GATEWA N0CPP116 0x20020107 MSFT 0x00001011) @ 0x3fff1000
ACPI: MADT (v001 GATEWA N0CPP116 0x20020107 MSFT 0x00001011) @ 0x3ffe3baa
ACPI: SSDT (v001 GATEWA N0CPP116 0x00000001 MSFT 0x0100000b) @ 0x3ffe3c04
ACPI: DSDT (v001 GATEWA N0CPP116 0x20011110 MSFT 0x0100000b) @ 0x00000000
ACPI: PM-Timer IO Port: 0x408
Allocating PCI resources starting at 40000000 (gap: 40000000:bec00000)
Built 1 zonelists
Kernel command line: ro root=/dev/rootvg/root rhgb quiet
Initializing CPU#0
CPU 0 irqstacks, hard=c0457000 soft=c0456000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 1994.404 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1032944k/1048320k available (2518k kernel code, 14504k reserved, 690k
data, 180k init, 130816k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 3948.54 BogoMIPS (lpj=1974272)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: After all inits, caps: 3febf3ff 00000000 00000000 00000080 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU: Intel(R) Pentium(R) 4 CPU 2.00GHz stepping 04
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0e28)
checking if image is initramfs... it is
softlockup thread 0 started up.
Freeing initrd memory: 1665k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfda95, last bus=2
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050309
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:01:00.0
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: Power Resource [FDDP] (off)
ACPI: Power Resource [URP1] (off)
ACPI: Power Resource [LPTP] (off)
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs *3 4 5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 11 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1125228741.154:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 42BD35A990375F72
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel i850 Chipset.
agpgart: AGP aperture is 64M @ 0xf8000000
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH2: IDE controller at PCI slot 0000:00:1f.1
ICH2: chipset revision 4
ICH2: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: WDC WD800BB-53CAA0, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: LITE-ON DVDRW LDW-411S, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
hda: cache flushes not supported
 hda: hda1 hda2 hda3
hdc: ATAPI 40X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 2048 buckets, 64Kbytes
TCP established hash table entries: 262144 (order: 9, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI wakeup devices:
PBTN PCI1 NEC0 NEC1 NEC2 UAR1  USB USB2  AC9  SMB
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 180k freed
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
input: AT Translated Set 2 keyboard on isa0060/serio0
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
e100: Intel(R) PRO/100 Network Driver, 3.3.6-k2-NAPI
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:02:08.0[A] -> Link [LNKE] -> GSI 11 (level, low) -> IRQ 11
e100: eth0: e100_probe: addr 0xff9fc000, irq 11, MAC addr 00:03:47:D3:D9:D4
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:02:0c.0[A] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
gameport: EMU10K1 is pci0000:02:0c.1/gameport0, io 0xdff0, speed 932kHz
hw_random hardware driver 1.0.0 loaded
shpchp: shpc_init : shpc_cap_offset == 0
shpchp: shpc_init : shpc_cap_offset == 0
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 9
PCI: setting IRQ 9 as level-triggered
ACPI: PCI Interrupt 0000:02:01.2[C] -> Link [LNKH] -> GSI 9 (level, low) -> IRQ 9
ehci_hcd 0000:02:01.2: EHCI Host Controller
ehci_hcd 0000:02:01.2: new USB bus registered, assigned bus number 1
ehci_hcd 0000:02:01.2: irq 9, io mem 0xff9ffc00
ehci_hcd 0000:02:01.2: USB 2.0 initialized, EHCI 0.95, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 5 ports detected
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKD] -> GSI 5 (level, low) -> IRQ 5
ohci_hcd 0000:02:01.0: OHCI Host Controller
ohci_hcd 0000:02:01.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:02:01.0: irq 5, io mem 0xff9fd000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 3
PCI: setting IRQ 3 as level-triggered
ACPI: PCI Interrupt 0000:02:01.1[B] -> Link [LNKC] -> GSI 3 (level, low) -> IRQ 3
ohci_hcd 0000:02:01.1: OHCI Host Controller
ohci_hcd 0000:02:01.1: new USB bus registered, assigned bus number 3
ohci_hcd 0000:02:01.1: irq 3, io mem 0xff9fe000
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb 1-1: new high speed USB device using ehci_hcd and address 2
USB Universal Host Controller Interface driver v2.2
ACPI: PCI Interrupt 0000:00:1f.2[D] -> Link [LNKD] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1f.2 to 64
uhci_hcd 0000:00:1f.2: UHCI Host Controller
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
uhci_hcd 0000:00:1f.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1f.2: irq 5, io base 0x0000ef80
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1250 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt Link [LNKF] enabled at IRQ 11
ACPI: PCI Interrupt 0000:02:0d.0[A] -> Link [LNKF] -> GSI 11 (level, low) -> IRQ 11
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[ff9ff000-ff9ff7ff]  Max
Packet=[2048]
usb 1-1.4: new low speed USB device using ehci_hcd and address 3
usb 1-1.4: device not accepting address 3, error -32
usb 1-1.4: new low speed USB device using ehci_hcd and address 4
audit(1125243145.999:2): user pid=991 uid=0 auid=4294967295 msg='hwclock:
op=changing system time id=0 res=success'
usb 1-1.4: device not accepting address 4, error -32
usb 1-1.4: new low speed USB device using ehci_hcd and address 5
usb 1-1.4: device descriptor read/64, error -32
ACPI: Power Button (FF) [PWRF]
ibm_acpi: ec object not found
usb 1-1.4: device descriptor read/64, error -32
usb 1-1.4: new low speed USB device using ehci_hcd and address 6
usb 1-1.4: device descriptor read/64, error -32
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00053f52ffffffff]
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
usb 1-1.4: device descriptor read/64, error -32
usb 4-2: new low speed USB device using uhci_hcd and address 2
input: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with
IntelliEye(TM)] on usb-0000:00:1f.2-2
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on dm-2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03e6820(lo)
IPv6 over IPv4 tunneling driver
Adding 1052248k swap on /dev/hda2.  Priority:-1 extents:1
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready
eth0: no IPv6 routers present
fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg,
GERMANY' taints kernel.
[fglrx] Maximum main memory to use for locked dma buffers: 929 MBytes.
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[fglrx] module loaded - fglrx 8.14.13 [Jun  8 2005] on minor 0
allocation failed: out of vmalloc space - use vmalloc=<size> to increase size.
[fglrx] Internal AGP support requested, but kernel AGP support active.
[fglrx] Have to use kernel AGP support to avoid conflicts.
[fglrx] Kernel AGP support doesn't provide agplock functionality.
[fglrx] AGP detected, AgpState   = 0x1f000217 (hardware caps of chipset)
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
[fglrx] AGP enabled,  AgpCommand = 0x1f000314 (selected caps)
[fglrx] free  AGP = 54800384
[fglrx] max   AGP = 54800384
[fglrx] free  LFB = 116387840
[fglrx] max   LFB = 116387840
[fglrx] free  Inv = 0
[fglrx] max   Inv = 0
[fglrx] total Inv = 0
[fglrx] total TIM = 0
[fglrx] total FB  = 0
[fglrx] total AGP = 16384
application mixer_applet2 uses obsolete OSS audio interface
Comment 1 Christian Iseli 2007-01-22 06:29:23 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Adam Jackson 2007-05-26 15:09:46 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.
Comment 3 wknight 2010-12-06 13:22:26 EST
I have exactly the same problems with Fedora 12.
But I have no problems in old version of fedora ~9.

Note You need to log in before you can comment on or make changes to this bug.